/* PrefController */

#import <Cocoa/Cocoa.h>

@interface PrefController : NSObject
{
    IBOutlet NSButton 		*modifierKeyButton;
    IBOutlet NSPopUpButton 	*modifierKeyPopUpButton;
    IBOutlet NSButton 		*moveInsertionPointButton;
    IBOutlet NSWindow		*preferenceWindow;
	IBOutlet NSPopUpButton	*editorPopUpButton;
	IBOutlet NSTextField	*latexEngine;
	IBOutlet NSTextField	*ghostscriptEngine;
    
    BOOL		moveInsertionPoint;
    BOOL		useModifierKey;
    int			whatModifierKey;
    NSMutableString	*version;
	NSString	*editor;
	NSString	*latexEnginePath;
	NSString	*ghostscriptEnginePath;
}
- (IBAction)cancelPrefs:(id)sender;
- (IBAction)defaultPrefs:(id)sender;
- (IBAction)savePrefs:(id)sender;
- (IBAction)showPrefs:(id)sender;
- (IBAction)toggleMoveInsertionPoint:(id)sender;

- (void)setUpPreferences;
- (void)setFirstTimeDefaults;
- (void)setUpWindow;
@end
